Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class Types.Entity<X>

    java.lang.Object
      org.apache.openjpa.persistence.meta.Types.BaseType<X>
          org.apache.openjpa.persistence.meta.AbstractManagedType<X>
              org.apache.openjpa.persistence.meta.Types.Identifiable<X>
                  org.apache.openjpa.persistence.meta.Types.Entity<X>

Type Parameters:
  `X` - the represented Java type.

All Implemented Interfaces:
  Bindable<X>, EntityType<X>, IdentifiableType<X>, ManagedType<X>, Type<X>

Enclosing class:
  Types

    public static class Types.Entity<X>

extends Types.Identifiable<X>
implements EntityType<X>

An entity type that is independently identifiable.

Author:
  Pinaki Poddar

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.persistence.meta.AbstractManagedType
`AbstractManagedType.AttributeNameFilter<X>, AbstractManagedType.AttributeTypeFilter<X,Y>, AbstractManagedType.DeclaredAttributeFilter<X>, AbstractManagedType.ElementTypeFilter<X,E>, AbstractManagedType.EntryTypeFilter<X,K,V>, AbstractManagedType.Filter<T>, AbstractManagedType.IdAttributeFilter<X>, AbstractManagedType.PluralCategoryFilter<X>, AbstractManagedType.SingularAttributeFilter<X>, AbstractManagedType.VersionAttributeFilter<X>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.meta.AbstractManagedType
`meta, model`

Fields inherited from class org.apache.openjpa.persistence.meta.Types.BaseType
`cls`

Constructor Summary
`Types.Entity(ClassMetaData meta, MetamodelImpl model)`

Method Summary
`Class<X>` | `getBindableJavaType()` Return the Java type of the represented object.
`Bindable.BindableType` | `getBindableType()` Return the bindable type of the represented object.
`String` | `getName()`
`Type.PersistenceType` | `getPersistenceType()`

Methods inherited from class org.apache.openjpa.persistence.meta.Types.Identifiable
`getIdType, getSupertype, hasIdAttribute, hasSingleIdAttribute, hasVersionAttribute`

Methods inherited from class org.apache.openjpa.persistence.meta.AbstractManagedType
`assertType, filter, filter, filter, filter, getAttribute, getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredId, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getDeclaredVersion, getField, getField, getField, getField, getId, getIdClassAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes, getVersion, pick, pick, pick, pick, wrap`

Methods inherited from class org.apache.openjpa.persistence.meta.Types.BaseType
`getJavaType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.IdentifiableType
`getDeclaredId, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasSingleIdAttribute, hasVersionAttribute`

Methods inherited from interface javax.persistence.metamodel.ManagedType
`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType`

Constructor Detail

### Types.Entity

    public Types.Entity(ClassMetaData meta,
                        MetamodelImpl model)

Method Detail

### getPersistenceType

    public Type.PersistenceType getPersistenceType()

  Specified by:
    `getPersistenceType` in interface `Type<X>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `EntityType<X>`

### getBindableType

    public Bindable.BindableType getBindableType()

  Return the bindable type of the represented object.

  Specified by:
    `getBindableType` in interface `Bindable<X>`
  Returns:
    bindable type

### getBindableJavaType

    public Class<X> getBindableJavaType()

  Return the Java type of the represented object. If the bindable type of the object is PLURAL_ATTRIBUTE, the Java element type is returned. If the bindable type is SINGULAR_ATTRIBUTE or ENTITY_TYPE, the Java type of the represented entity or attribute is returned.

  Specified by:
    `getBindableJavaType` in interface `Bindable<X>`
  Returns:
    Java type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.